OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.PalettedTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTPalettedTexture :: MonadIO m => m Bool
- gl_EXT_paletted_texture :: Bool
- gl_COLOR_INDEX12_EXT :: GLenum
- gl_COLOR_INDEX16_EXT :: GLenum
- gl_COLOR_INDEX1_EXT :: GLenum
- gl_COLOR_INDEX2_EXT :: GLenum
- gl_COLOR_INDEX4_EXT :: GLenum
- gl_COLOR_INDEX8_EXT :: GLenum
- gl_TEXTURE_INDEX_SIZE_EXT :: GLenum
- glColorTableEXT :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetColorTableParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetEXTPalettedTexture :: MonadIO m => m Bool

Is the EXT_paletted_texture extension supported?

gl_EXT_paletted_texture :: Bool

Is the EXT_paletted_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTPalettedTexture` in those cases instead.

# Enums

gl_COLOR_INDEX12_EXT :: GLenum

gl_COLOR_INDEX16_EXT :: GLenum

gl_COLOR_INDEX1_EXT :: GLenum

gl_COLOR_INDEX2_EXT :: GLenum

gl_COLOR_INDEX4_EXT :: GLenum

gl_COLOR_INDEX8_EXT :: GLenum

gl_TEXTURE_INDEX_SIZE_EXT :: GLenum

# Functions

glColorTableEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `internalFormat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

This command is an alias for `glColorTable`.

glGetColorTableEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

This command is an alias for `glGetColorTable`.

glGetColorTableParameterfvEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `GetColorTableParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetColorTableParameterfv`.

glGetColorTableParameterivEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `GetColorTableParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetColorTableParameteriv`.